org.bouncycastle.crypto.params

## Class ElGamalPrivateKeyParameters

- java.lang.Object
- - org.bouncycastle.crypto.params.AsymmetricKeyParameter
  - - org.bouncycastle.crypto.params.ElGamalKeyParameters
    - - org.bouncycastle.crypto.params.ElGamalPrivateKeyParameters

All Implemented Interfaces:
  CipherParameters

    public class ElGamalPrivateKeyParameters
    extends ElGamalKeyParameters

### Constructor Summary

Constructors
Constructor and Description
`ElGamalPrivateKeyParameters(java.math.BigInteger x, ElGamalParameters params)`

### Method Summary

Methods
`boolean` `equals(java.lang.Object obj)`
`java.math.BigInteger` `getX()`
`int` `hashCode()`

### Methods inherited from class org.bouncycastle.crypto.params.ElGamalKeyParameters

`getParameters`

### Methods inherited from class org.bouncycastle.crypto.params.AsymmetricKeyParameter

`isPrivate`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ElGamalPrivateKeyParameters

    public ElGamalPrivateKeyParameters(java.math.BigInteger x,
                               ElGamalParameters params)

### Method Detail

#### getX

    public java.math.BigInteger getX()

#### equals

    public boolean equals(java.lang.Object obj)

Overrides:
  `equals` in class `ElGamalKeyParameters`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `ElGamalKeyParameters`